< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package govukfrontend
  Definition Classes
    hmrc
-  package examples
  Definition Classes
    govukfrontend
- AsJson
- CallMacro
- CaseClassOps
- ExampleGenerator
- ExampleTranslator
- ExampleType
- Field
- FileSystem
- GovukFrontend
- HmrcFrontend
- Implicits
- Import
- MacroCall
- NunjucksParser
- NunjucksTemplate
- NunjucksTemplateBody
- PlayVersions
- Retryable
- SetBlock
- TemplateHtml
- TwirlFormatter
- WhiteSpace

o

uk.gov.hmrc.govukfrontend.examples

# NunjucksParser 

###

#### object NunjucksParser

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NunjucksParser
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def blockName[_](implicit arg0: P[Any]): P[String]
6.  def callMacro[_](implicit arg0: P[Any]): P[CallMacro]
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
8.  def comments[_](implicit arg0: P[Any]): P[Unit]
9.  def doubleQuotedString[_](implicit arg0: P[Any]): P[String]
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def html[_](implicit arg0: P[Any]): P[TemplateHtml]
16.  def importParser[_](implicit arg0: P[Any]): P[Import]
17.  def imports[_](implicit arg0: P[Any]): P[Seq[Import]]
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  def jsonToMacroCall[T](macroName: String, args: Option[String])(implicit arg0: Reads[T], arg1: scala.reflect.api.JavaUniverse.TypeTag[T]): MacroCall
20.  def macroCall[_](starting: String = "{{", terminating: String = "}}")(implicit arg0: P[Any]): P[MacroCall]
21.  def macroName[_](implicit arg0: P[Any]): P[String]
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def nunjucksParser[_](implicit arg0: P[Any]): P[NunjucksTemplate]
26.  def setBlock[_](implicit arg0: P[Any]): P[SetBlock]
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def templateBody[_](implicit arg0: P[Any]): P[Seq[NunjucksTemplateBody]]
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
33.  def ws[_](implicit arg0: P[Any]): P[Unit]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped